commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@gmx.de>
Subject Re: [VOTE] Release math 2.1 based on RC3
Date Tue, 30 Mar 2010 13:52:34 GMT
Hi Dimitri,

Dimitri Pourbaix wrote:

> Jorg,
> 
>>> When I was updating SVD, I noticed that parts of the tests were 3.x
>>> syntax
>>> whereas other 4.x (way easier to use I think).  I would advocate for the
>>> generalisation of Junit 4.x tests whenever possible.
>>
>> Well, I think no one is against this, unless somebody does the work ;-)
>> However, this is IMHO no requirement especially now for the release.
> 
> I think it becomes a requirement as soon as it causes failure!  If you
> think all the 4.x tests fail, we are lacking a requirement to have Junit
> 4.x present in the building path.
> 
> By the way, 'ant clean test' successful on my
> 
> Apache Ant version 1.7.0
> 
> java version "1.6.0_17"
> Java(TM) SE Runtime Environment (build 1.6.0_17-b04)
> Java HotSpot(TM) 64-Bit Server VM (build 14.3-b01, mixed mode)
> 
> Junit 3.8.2-1  and 4.3.1-4

With Ant 1.7.0 all tests pass for me also. It seems that Ant 1.6.5 simply 
does not yet support JUnit 4.x OOTB.

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message